Skip to main content
POST
Create account
Deprecated: This API endpoint is no longer supported.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

customerId
string
required

The customer id of which customer you want to create the account on

Query Parameters

auditUser
string
required

The audit user to log the request

Body

application/json

The fields that you want to apply to your newly created account, these values will override the predefined template values

accountTemplate
string
required

Template name for which the account should be connected to

Example:

"PREPAID"

creditLimit
number

Credit limit of the account

Example:

10000

number
string

Unique account number for given account. Must be numeric if paymentRefence.type defined as MOD10 or FINNISH_7_3_1! Note that selected account numbers might be reserved by Enfuce for internal usage.

Maximum string length: 64
Example:

123456789

paymentReference
object

Number connected to account that will be used to map incoming payments to

address
address · object

Address connected to an account that will override the address set on customer level. This is for example used when sending out statements

segment
enum<string>

Field enables to group an entity into a segment. This field will be exported but no logic is applied to this in Enfuce API

Available options:
SEGMENT_A,
SEGMENT_B,
SEGMENT_C,
SEGMENT_D,
SEGMENT_E,
SEGMENT_F

Response

Successful creation of the account

description
string

When a payment is declined, a response description is returned, if available, providing more context on why the transaction failed. This includes a return code and a brief explanation. If multiple issues cause the decline, only one response description is sent; the most recent reason for decline is returned. If the payment is successful, the resourceResponse attribute is returned with null value.

Example:

"061-Usage Limit '24H_RETAIL' Amount Exceeded"

id
string

Will contain the ID of the resource that has been created or updated